
Redmine - Feature #14250

BugTracker enhancement: allow to create a custom field for "occours in version"  - end of Life

2013-06-11 00:51 - Terence Mill

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Summary

new version status "archive"

custom field version without "archived" versions in list

Example

Every bug does not only have a target version (to be fixed) but one or many (multiple selection) "occours in version". We created a

custom version field for this but have a big usablity problem.

The field drop down list growths over time so the user has to select from all versions ever created. Bugs shall be assignable to

open,locked and closed version but not all closed version are still in production and shall be reported on. (e.g end of life)

There shall be a third state called "archive" what says the version was closed and is too old now for some form selection like the

custom field drop down.

Related issues:

Is duplicate of Redmine - Feature #685: New Custom Field "Found in Version" Closed 2008-02-18

History

#1 - 2016-06-06 18:16 - Dipan Mehta

Well looks like the demand of this is really there with multiple issues.

But it can be achieved: (As I noted in other issue)

Basically, you can have a 'custom field' "Type" for each version. And then, when you define any other custom field (for issue or otherwise) which

is of type version - it should ask for criteria as "field name" and values can be some conditions. If the field type has multiple values it can be

selected which ones applies. The versions qualified under that condition will then be appeared in the corresponding version field.

 Following issues have almost the same demands: Do add related

#685

#14250

#18560

#17962

#20100

#2 - 2016-07-02 05:49 - Toshi MARUYAMA

- Description updated

#3 - 2016-07-02 05:50 - Toshi MARUYAMA

- Category changed from Issues to Custom fields

#4 - 2016-07-02 05:55 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #685.

#5 - 2016-07-02 05:55 - Toshi MARUYAMA

- Is duplicate of Feature #685: New Custom Field "Found in Version" added
https://www.redmine.org/issues/685
https://www.redmine.org/issues/14250
https://www.redmine.org/issues/18560
https://www.redmine.org/issues/17962
https://www.redmine.org/issues/20100
https://www.redmine.org/issues/685
